package de.tud.kom.p2psim;

/**
 * Starts a window to select a configuration file to run PFS from.
 * Useful for developers switching to different configuration files
 * many times, as well as for presentations etc.
 * 
 * See <a href="http://www.student.informatik.tu-darmstadt.de/~l_nobach/docs/howto-visualization.pdf">PeerfactSim.KOM Visualization HOWTO</a>
 * on how to use it.
 * 
 * @author Leo Nobach
 * @version 3.0, 25.11.2008
 *
 */
public class GUIRunner {
	public static void main(String[] args) {
		new de.tud.kom.p2psim.impl.util.guirunner.GUIRunner();
	}
}
