package de.tud.kom.p2psim.impl.overlay.dht.centralized;

import de.tud.kom.p2psim.api.overlay.OverlayContact;
import de.tud.kom.p2psim.api.overlay.OverlayID;
import de.tud.kom.p2psim.api.transport.TransInfo;

public class CentralizedContact<T extends OverlayID> implements OverlayContact<T> {

	private T id;
	private TransInfo address;
	
	public CentralizedContact(T id, TransInfo trans){
		this.id = id;
		this.address = trans;
	}
	
	@Override
	public T getOverlayID() {
		return id;
	}

	@Override
	public TransInfo getTransInfo() {
		return address;
	}

}
