package de.tud.kom.p2psim.impl.overlay.dht.kademlia2.operations;

import de.tud.kom.p2psim.api.common.Operation;
import de.tud.kom.p2psim.impl.overlay.dht.kademlia2.types.KademliaOverlayID;

/**
 * Dummy interface for shorter Operation types, basically identical to Operation
 * (important thing is set type parameter).
 * 
 * @author Tobias Lauinger <tl1003@rbg.informatik.tu-darmstadt.de>
 */
public interface KademliaOperation<T extends KademliaOverlayID> extends
	Operation<Object> { // FIXME check type parameter

    /**
     * Aborts this Operation if it has not yet finished.
     */
    public void abort();

}
