package de.tud.kom.p2psim.impl.overlay.gia.Messages;

import java.math.BigInteger;

import de.tud.kom.p2psim.impl.overlay.gia.GIAOverlayID;

/**
 * @author Robert Schadler
 * @author Jonas K�hne
 * @version 3.0, 22.06.2008
 *
 */
public class GIAPingMessage extends BaseMessage {

	
	/**
	 * @param sender overlay ID of the sender
	 * @param receiver overlay ID of the receiver
	 * @param ttl time to live of the message
	 * @param hops hop count for the message
	 * @param descriptor message ID
	 */
	public GIAPingMessage(GIAOverlayID sender, GIAOverlayID receiver, int ttl, int hops, BigInteger descriptor) {
		super(sender, receiver, ttl, hops, descriptor);
	}

	public long getSize(){
		return super.getSize();
	}
}
