package de.tud.kom.p2psim.impl.overlay.gnutella06.Messages;

import java.math.BigInteger;

import de.tud.kom.p2psim.impl.overlay.gnutella06.Gnutella06OverlayID;


public class Gnutella06PingMessage extends BaseMessage {

	
	/**
	 * @param sender overlay ID of the sender
	 * @param receiver overlay ID of the receiver
	 * @param ttl time to live of the message
	 * @param hops hop count for the message
	 * @param descriptor message ID
	 */
	public Gnutella06PingMessage(Gnutella06OverlayID sender, Gnutella06OverlayID receiver, int ttl, int hops, BigInteger descriptor) {
		super(sender, receiver, ttl, hops, descriptor);
	}

	public long getSize(){
		return super.getSize();
	}
}
