package de.tud.kom.p2psim.impl.util.guirunner.impl;

import de.tud.kom.p2psim.impl.util.guirunner.progress.ProgressRunner;
import de.tud.kom.p2psim.impl.util.guirunner.progress.SimulationProgressView;

public class SimulationThread extends Thread {

	private String configFile;

	public SimulationThread(String configFile) {
		this.setName("SimulationThread");
		this.configFile = configFile;
	}
	
	@Override
	public void run() {
		SimulationProgressView view = SimulationProgressView.getInstance();
		view.setVisible(true);
		
		ProgressRunner.main(new String[]{configFile});
		System.err.println("Simulation beendet.");
	}

}
