package de.tud.kom.p2psim.impl.util.guirunner.progress;

import java.util.List;

import javax.swing.table.AbstractTableModel;

public class ProgressValuesListModel extends AbstractTableModel {
	/**
	 * 
	 */
	private static final long serialVersionUID = 4835422753977045344L;
	
	List<ProgressValue> progValues;
	
	public ProgressValuesListModel(List<ProgressValue> progValues) {
		this.progValues = progValues;
	}
	
	@Override
	public int getColumnCount() {
		return 2;
	}

	@Override
	public int getRowCount() {
		return progValues.size();
	}

	@Override
	public Object getValueAt(int row, int col) {
		if (col == 0) return progValues.get(row).getName();
		else return progValues.get(row).getValue();
	}
	
	@Override
	public String getColumnName(int col) {
		if (col == 0) 
			return "";
		else 
			return "Wert";
	}
	
	@Override
	public Class<? extends Object> getColumnClass(int c) {
		return String.class;
    }
}
