package de.tud.kom.p2psim.impl.util.vis.analyzer;

import de.tud.kom.p2psim.api.overlay.OverlayNode;
import de.tud.kom.p2psim.impl.overlay.BootstrapManager;

/**
 * Ein OverlayAdapter, der es ermöglicht das Netzwerk zu gruppieren nach
 * Bootstrap-Managern, die die Knoten benötigen
 * nach BootstrapManager-Gruppen
 * @author Konstantin Pussep
 * @author Sebastian Kaune
 * @version 3.0, 07.11.2008
 *
 */
public interface MultiBootstrapCapable{

	/**
	 * Gibt den BootstrapManager zurück, denn node benutzt.
	 * @param node
	 * @return
	 */
	public BootstrapManager getBootstrapManagerFor(OverlayNode node);
	
}
