package de.tud.kom.p2psim.impl.util.vis.analyzer.netPosTransformers;

import de.tud.kom.p2psim.impl.network.simple.SimpleEuclidianPoint;
import de.tud.kom.p2psim.impl.util.vis.util.visualgraph.Coords;

public class SimpleEuclidianPointTransformer implements INetPositionTransformer<SimpleEuclidianPoint>{

	@Override
	public Coords transform(SimpleEuclidianPoint euclidianPoint){
		
		Coords coord;
		
		float x = (new Double(euclidianPoint.getXPos())).floatValue();
		float y = (new Double(euclidianPoint.getYPos())).floatValue();
		
		coord = new Coords(x, y);
		
		return coord;
	}
	
}
