package de.tud.kom.p2psim.impl.util.vis.api.metrics.overlay;

import javax.swing.ImageIcon;

import de.tud.kom.p2psim.impl.util.vis.api.metrics.BoundMetric;
import de.tud.kom.p2psim.impl.util.vis.api.metrics.Metric;
import de.tud.kom.p2psim.impl.util.vis.model.overlay.VisOverlayEdge;

/**
 * Metrik, von einer Kante abhängig
 * @author Leo Nobach
 *
 */

public abstract class OverlayEdgeMetric extends Metric{
	
	protected static final ImageIcon REPR_ICON = new ImageIcon("images/icons/model/OverlayEdge16_16.png");
	
	public abstract String getValue(VisOverlayEdge edge);
	

	
	public BoundMetric getBoundTo(VisOverlayEdge edge) {
		return new BoundOverlayEdgeMetric(edge, this);
	}
	
	@Override
	public ImageIcon getRepresentingIcon() {
		return REPR_ICON;
	}
	
}
