package de.tud.kom.p2psim.impl.util.vis.api.metrics.overlay;

import javax.swing.ImageIcon;

import de.tud.kom.p2psim.impl.util.vis.api.metrics.BoundMetric;
import de.tud.kom.p2psim.impl.util.vis.api.metrics.Metric;
import de.tud.kom.p2psim.impl.util.vis.model.overlay.VisOverlayNode;


/**
 * Metrik, von einem Knoten abhängig
 * @author leo
 *
 */
public abstract class OverlayNodeMetric extends Metric{
	
	protected static final ImageIcon REPR_ICON = new ImageIcon("images/icons/model/OverlayNode16_16.png");
	
	public abstract String getValue(VisOverlayNode node);
	
	public BoundMetric getBoundTo(VisOverlayNode n) {
		return new BoundOverlayNodeMetric(n, this);
	}
	
	@Override
	public ImageIcon getRepresentingIcon() {
		return REPR_ICON;
	}
	
}
