package de.tud.kom.p2psim.impl.util.vis.api.metrics.overlay;

import javax.swing.ImageIcon;

import de.tud.kom.p2psim.impl.util.vis.api.metrics.BoundMetric;
import de.tud.kom.p2psim.impl.util.vis.api.metrics.UniverseMetric;

/**
 * Metrik des Gesamtszenarios, von keinem Objekt abhängig
 * 
 * @author Leo Nobach
 *
 */
public abstract class OverlayUniverseMetric extends UniverseMetric {
	
	protected static final ImageIcon REPR_ICON = new ImageIcon("images/icons/model/OverlayUniverse16_16.png");
	
	public abstract String getValue();
	
	public BoundMetric getBoundTo() {
		return new BoundOverlayUniverseMetric(this);
	}
	
	@Override
	public ImageIcon getRepresentingIcon() {
		return REPR_ICON;
	}
	
}
