package de.tud.kom.p2psim.impl.util.vis.api.visualization;

import de.tud.kom.p2psim.impl.util.vis.model.MetricObject;

/**
 * Dieses Interface ermöglicht implementierenden Klassen, auf Ereignisse 
 * in der Visualisierungsgrafik zu reagieren.
 * 
 * @author Leo Nobach
 *
 */
public interface VisActionListener {

	/**
	 * Wird bei angemeldeten VisActionListeners aufgerufen,
	 * wenn ein Objekt aufgerufen wurde, mit dem entsprechenden
	 * Objekt drin.
	 * @param o
	 */
	public void clickedOn(MetricObject o);
	
}
