package de.tud.kom.p2psim.impl.util.vis.controller.commands;

import de.tud.kom.p2psim.impl.util.vis.controller.Controller;

/**
 * Spielt ab, oder pausiert, abhängig vom Zustand.
 * @author Leo Nobach
 *
 */

public class PlayPause implements Command{
	
	@Override
	public void execute() {
		
		if (!Controller.getPlayer().isPlaying()) {
			Controller.getPlayer().play();
		} else {
			Controller.getPlayer().pause();
		}
		
	}
	
}
