package de.tud.kom.p2psim.impl.util.vis.controller.commands;

import javax.swing.JOptionPane;

import de.tud.kom.p2psim.impl.util.vis.controller.Controller;
import de.tud.kom.p2psim.impl.util.vis.ui.common.dialogs.RecordFileChooser;

/**
 * Speichert die geladene Aufzeichnung.
 * @author Leo Nobach
 *
 */
public class SaveToFile implements Command{

	@Override
	public void execute() {

		
		if (Controller.getModel() == null) {
			
			JOptionPane.showMessageDialog(Controller.getUIMainWindow(), "Es ist keine Aufzeichnung zum Speichern vorhanden.", 
				"Aufzeichnung speichern", JOptionPane.ERROR_MESSAGE);
		} else {
			new RecordFileChooser().askForSave();
		}
		
	}

	
	
}
