package de.tud.kom.p2psim.impl.util.vis.controller.player;

/**
 * Zum Debuggen des Players
 * 
 * @author Leo Nobach
 *
 */
public class ConsolePlayerNotifier implements PlayerEventListener{

	@Override
	public void forward() {
		System.out.println("PLAYER: Forward");
		
	}

	@Override
	public void pause() {
		System.out.println("PLAYER: Pause");
	}

	@Override
	public void play() {
		System.out.println("PLAYER: Play");
	}

	@Override
	public void reverse() {
		System.out.println("PLAYER: Reverse");
	}

	@Override
	public void stop() {
		System.out.println("PLAYER: Stop");
	}

	@Override
	public void speedChange(int speed) {
		System.out.println("Speed Change: " + speed + "ms");
	}

	@Override
	public void quantizationChange(double quantization) {
		System.out.println("Quantization Change: " + quantization + "ms");
	}


}
