package de.tud.kom.p2psim.impl.util.vis.controller.player;

/**
 * Ein Ereignis auf der Timeline.
 * @author Leo Nobach
 *
 */
public abstract class Event {

	/**
	 * Führt Änderungen auf dem Datenmodell aus, die durch das
	 * Ereignis entstehen.
	 */
	public abstract void makeHappen();
	
	/**
	 * Macht Änderungen von makeHappen rückgängig.
	 */
	public abstract void undoMakeHappen();
	
	
}
