package de.tud.kom.p2psim.impl.util.vis.gnuplot;

import java.io.File;
import java.io.IOException;

/**
 * Schreibt die Ergebnisse in results in eine Datei.
 * @author Leo Nobach
 *
 */
public interface IResultFileWriter {

	/**
	 * Schreibt die Ergebnisse in results in die Datei f
	 * @param f
	 * @param results
	 * @throws IOException
	 */
	public void writeToFile(File f, ResultTable results) throws IOException;
	
}
