package de.tud.kom.p2psim.impl.util.vis.metrics.overlay;

import de.tud.kom.p2psim.impl.util.vis.api.metrics.overlay.OverlayEdgeMetric;
import de.tud.kom.p2psim.impl.util.vis.metrics.MetricsBase;

/**
 * Initialisiert und verwaltet alle Kantenmetriken.
 * 
 * @author Leo Nobach
 *
 */
public class OverlayEdgeMetrics extends MetricsBase<OverlayEdgeMetric> {

	public OverlayEdgeMetrics() {
		
		this.addMetric(new EdgeType());
		this.addMetric(new EdgeOverlay());
		this.addMetric(new EdgeMessagesPerSecond());
		this.addMetric(new EdgeClassName());
		
		/*
		EdgeTestMetric2 bps = new EdgeTestMetric2();
		this.addMetric(bps);
		
		EdgeTBPerSec tbps = new EdgeTBPerSec();
		this.addMetric(tbps);
		*/
		
	}

	public String toString() {
		return "Overlay, Kanten";
	}
	
}
