package de.tud.kom.p2psim.impl.util.vis.metrics.overlay;


import de.tud.kom.p2psim.impl.util.vis.api.metrics.overlay.OverlayUniverseMetric;
import de.tud.kom.p2psim.impl.util.vis.metrics.MetricsBase;

/**
 * Initialisiert und verwaltet alle Szenariometriken.
 * 
 * @author Leo Nobach
 *
 */
public class OverlayUniverseMetrics extends MetricsBase<OverlayUniverseMetric>{
	
	public OverlayUniverseMetrics() {
		// TODO hier richtige Metriken für Universe eintragen
		
		/*
		 * Spaßmetrik 3
		 */
		this.addMetric(new UniverseMessagesPerSecond());
		this.addMetric(new UniversePeerCount());
		this.addMetric(new UniverseConnectionCount());
		this.addMetric(new UniverseNeighbors());
		
	}
	
	public String toString() {
		return "Overlay, gesamter Graph";
	}

}
