package de.tud.kom.p2psim.impl.util.vis.metrics.overlay;

import de.tud.kom.p2psim.impl.util.vis.api.metrics.overlay.OverlayUniverseMetric;
import de.tud.kom.p2psim.impl.util.vis.controller.Controller;

/**
 * Berechnet die Anzahl aller Overlayverbindungen im Szenario
 * 
 * @author Leo Nobach
 *
 */
public class UniverseConnectionCount extends OverlayUniverseMetric{
	
	@Override
	public String getValue() {
		return String.valueOf(Controller.getModel().getOverlayGraph().edges.size());
	}

	@Override
	public String getName() {
		return "Anzahl Verbindungen";
	}

	@Override
	public String getUnit() {
		return "";
	}

	@Override
	public boolean isNumeric() {
		return true;
	}
	
}
