package de.tud.kom.p2psim.impl.util.vis.metrics.overlay.generic;

import de.tud.kom.p2psim.impl.util.vis.api.metrics.overlay.OverlayNodeMetric;
import de.tud.kom.p2psim.impl.util.vis.model.overlay.VisOverlayNode;

/**
 * Metrik, die einfach ein Attribut anzeigt.
 * 
 * @author Leo Nobach
 * @version 3.0, 27.11.2008
 *
 */
public abstract class ShowNodeAttrM extends OverlayNodeMetric {

	@Override
	public String getValue(VisOverlayNode node) {
		Object attr = node.getAttribute(getAttrIdentifier());
		
		if (attr != null) return attr.toString();
		else return null;
	}

	@Override
	public abstract String getName();

	protected abstract String getAttrIdentifier();
	
	@Override
	public abstract String getUnit();

	@Override
	public abstract boolean isNumeric();
	
}
