package de.tud.kom.p2psim.impl.util.vis.model;

import java.util.Vector;

import de.tud.kom.p2psim.impl.util.vis.api.metrics.BoundMetric;
import de.tud.kom.p2psim.impl.util.vis.util.gui.IconObject;

/**
 * Ein Objekt des Datenmodells, wie ein Knoten oder eine Kante, das Metriken besitzt.
 * @author Leo Nobach
 *
 */

public interface MetricObject extends IconObject {

	/**
	 * Gibt einen Satz aller Metriken für dieses Objekt in der an ihn gebundenen Form zurück.
	 * @return
	 */
	public Vector<BoundMetric> getBoundMetrics();
	
	public void iterate(ModelIterator it);
	
}
