package de.tud.kom.p2psim.impl.util.vis.ui.common;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Font;

import javax.swing.JLabel;
import javax.swing.JPanel;

/**
 * Container mit einer Überschrift
 * @author Leo Nobach
 *
 */
public class CaptionContainer extends JPanel{
	/**
	 * 
	 */
	private static final long serialVersionUID = -327790289162297064L;
	
	JLabel label;
	Component component;
	
	public CaptionContainer(String caption, Component c) {
		label = new JLabel (caption);
		label.setOpaque(true);
		label.setFont(label.getFont().deriveFont(Font.BOLD));
		label.setBackground(Color.WHITE);
		component = c;
		
		this.setLayout(new BorderLayout());
		this.add(component, BorderLayout.CENTER);
		this.add(label, BorderLayout.NORTH);
	}
	
	public void setCaption(String caption) {
		label.setText(caption);
	}
	
}
