package de.tud.kom.p2psim.impl.util.vis.ui.common.toolbar;

import de.tud.kom.p2psim.impl.util.vis.ui.common.toolbar.elements.*;

/**
 * Menüleiste mit Hauptfunktionen
 * 
 * @author Leo Nobach
 *
 */
public class MainToolBar extends AbstractToolBar{

	/**
	 * 
	 */
	private static final long serialVersionUID = -69746928225062713L;
	
	public MainToolBar() {
		this.add(new LoadFromFileButton());
		this.add(new SaveToFileButton());
		this.add(new ExportGnuplotButton());
		this.add(new ConfigButton());
		this.add(new InfoButton());
		this.add(new CloseApplicationButton());
	}
	

}
