package de.tud.kom.p2psim.impl.util.vis.ui.common.toolbar;

import javax.swing.JButton;

import de.tud.kom.p2psim.impl.util.vis.ui.common.toolbar.elements.*;

/**
 * Menüleiste mit Playerfunktionen
 * 
 * @author Leo Nobach
 *
 */
public class PlayerToolBar extends AbstractToolBar {


	/**
	 * 
	 */
	private static final long serialVersionUID = -195863955037291967L;

	JButton playPauseButton = new PlayPauseButton();
	JButton stopButton = new StopButton();
	JButton reverseButton = new ReverseButton();
	JButton forwardButton = new ForwardButton();
	
	public PlayerToolBar() {
		this.add(playPauseButton);
		this.add(stopButton);
		this.add(reverseButton);
		this.add(forwardButton);
		this.add(new LoopButton());
		this.add(new SpeedChanger());
		this.add(new FPSChanger());
	}
	
}
