package de.tud.kom.p2psim.impl.util.vis.ui.common.toolbar.elements;

import javax.swing.ImageIcon;

import de.tud.kom.p2psim.impl.util.vis.controller.commands.Command;
import de.tud.kom.p2psim.impl.util.vis.ui.common.InfoDialog;

public class InfoButton extends SimpleToolbarButton {
	/**
	 * 
	 */
	private static final long serialVersionUID = -9023226573863235349L;
	
	static ImageIcon icon = new ImageIcon("images/icons/InfoButton.png");
	static String tooltip = "Info...";
	
	public InfoButton() {
		super();
		this.setIcon(icon);
		this.setToolTipText(tooltip);
		this.addCommand(new Command() {

			@Override
			public void execute() {
				new InfoDialog().setVisible(true);
			}
			
		});
	}
}
