package de.tud.kom.p2psim.impl.util.vis.ui.common.toolbar.elements;

import javax.swing.ImageIcon;

import de.tud.kom.p2psim.impl.util.vis.controller.commands.*;

public class SaveToFileButton extends SimpleToolbarButton{

	
	/**
	 * 
	 */
	private static final long serialVersionUID = -8883086992639815840L;
	
	
	static final ImageIcon icon = new ImageIcon("images/icons/SaveButton.png");
	static final String tooltip = "Aufzeichnung speichern...";
	
	public SaveToFileButton() {
		super();
		this.setIcon(icon);
		this.setToolTipText(tooltip);
		this.addCommand(new SaveToFile());
	}
	
}
