package de.tud.kom.p2psim.impl.util.vis.util;

import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

import javax.swing.JSplitPane;


/**
 * Wird als ComponentListener an ein SplitPane angehängt,
 * um die Position des SplitPanes in die Config zu schreiben.
 * 
 * @author Leo Nobach
 *
 */
public class SplitPaneConfigSaver implements PropertyChangeListener{

	String configPath;
	
	public SplitPaneConfigSaver(String configPath) {
		this.configPath = configPath;
	}


	@Override
	public void propertyChange(PropertyChangeEvent arg0) {
		Config.setValue(configPath, ((JSplitPane)arg0.getSource()).getDividerLocation());
	}


}
