package de.tud.kom.p2psim.impl.util.vis.visualization2d.toolbar;

import javax.swing.JToolBar;

import de.tud.kom.p2psim.impl.util.vis.visualization2d.Simple2DVisualization;

public class VisToolBar extends JToolBar{

	public VisToolBar(Simple2DVisualization vis) {
		this.add(new ZoomButton(false, vis));
		this.add(new ZoomButton(true, vis));
		this.add(new FontSizeBox());
		this.add(new StrokeMetricBox(vis));
		this.add(new NodeSizeMetricBox(vis));
		this.add(new SchematicViewButton(vis));
	}

	/**
	 * 
	 */
	private static final long serialVersionUID = 45375913454649305L;

}
