package de.tud.kom.p2psim.impl.application.KBRApplication;

import de.tud.kom.p2psim.api.common.Component;
import de.tud.kom.p2psim.api.common.ComponentFactory;
import de.tud.kom.p2psim.api.common.Host;
import de.tud.kom.p2psim.api.overlay.KBR;

/**
 * This component factory creates instances of a dummy application, which is used
 * to check some basic functionality of the KBR overlays.
 * 
 * @author Julius Rueckert
 *
 */
public class KBRDummyApplicationFactory implements ComponentFactory {

	@Override
	public Component createComponent(Host host) {
		
		// Retrieve the KBRNode 
		KBR kbrNode = (KBR)host.getOverlay(KBR.class);
		
		// Create the application
		KBRDummyApplication application = new KBRDummyApplication(kbrNode);
		
		return application;
	}

}
