package de.tud.kom.p2psim.impl.overlay.dht.chord.messages;

import de.tud.kom.p2psim.api.common.Message;
import de.tud.kom.p2psim.impl.overlay.AbstractOverlayMessage;
import de.tud.kom.p2psim.impl.overlay.dht.chord.ChordID;

public abstract class ChordMessage extends AbstractOverlayMessage<ChordID> {
	private int hopCount = 0;

	public ChordMessage(ChordID sender, ChordID receiver) {
		super(sender, receiver);
	}
	
	public Message getPayload(){
		return this;
	}
	
	public abstract long getSize();
	
	public int getHopCount(){
		return this.hopCount;
	}
	
	public void incHop(){
		this.hopCount++;
	}
	
	public void setHop(int hop){
		this.hopCount=hop;
	}
}
