package de.tud.kom.p2psim.impl.overlay.gia;

import java.math.BigInteger;

import de.tud.kom.p2psim.api.overlay.OverlayKey;

/**
 * @author Robert Schadler
 * @author Jonas K�hne
 * @version 3.0, 22.06.2008
 *
 */
public class FileSharingKey implements OverlayKey{

	private BigInteger fileSharingKey;
	
	/**
	 * @param fileSharingKey document with this key
	 */
	public FileSharingKey(BigInteger fileSharingKey){
		this.fileSharingKey = fileSharingKey;
	}
	
	/**
	 * @param fileSharingKey document with this key as Integer
	 */
	public FileSharingKey(int fileSharingKey){
		this.fileSharingKey = BigInteger.valueOf(fileSharingKey);
	}
	
	
	public byte[] getBytes() {
		return null;
	}

	
	public Object getUniqueValue() {
		return this.fileSharingKey;
	}
	
	/**
	 * @return key of document
	 */
	public BigInteger getValue() {
		return this.fileSharingKey;
	}

	
	public int compareTo(OverlayKey arg0) {
		FileSharingKey m = (FileSharingKey)arg0;
		return this.fileSharingKey.compareTo(m.getValue());
	}

	public String toString() {
		return this.fileSharingKey.toString();
	}


}
