package de.tud.kom.p2psim.impl.overlay.gnutella;

import java.math.BigInteger;

import de.tud.kom.p2psim.api.overlay.OverlayID;

public class GnutellaOverlayID implements OverlayID {
	
	private BigInteger overlayID;
	
	public GnutellaOverlayID(BigInteger overlayID) {
		this.overlayID = overlayID;
	}

	public byte[] getBytes() {
		return null;
	}

	public Object getUniqueValue() {
		return this.overlayID;
	}

	public int compareTo(OverlayID arg0) {
		return this.overlayID.compareTo((BigInteger) arg0.getUniqueValue());
	}

	public boolean equals(GnutellaOverlayID overlayID) {
		return this.overlayID.compareTo((BigInteger) overlayID.getUniqueValue()) == 0;
	}
	
	public String toString() {
		return this.overlayID.toString();
	}
	
	public int hashCode() {
		return this.overlayID.hashCode();
	}
}
