package de.tud.kom.p2psim.impl.overlay.gnutella.filesharing;

import de.tud.kom.p2psim.api.overlay.OverlayKey;

public class FilesharingKey implements OverlayKey {
	
	private Integer rank;
	
	public FilesharingKey(Integer rank) {
		this.rank = rank;
	}

	public Integer getRank() {
		return rank;
	}
	
	public byte[] getBytes() {
		// not implemented
		return null;
	}

	public Object getUniqueValue() {
		return rank;
	}

	public int compareTo(OverlayKey arg0) {
		if (arg0 instanceof FilesharingKey) {
			return ((FilesharingKey) arg0).getRank() - rank;
		}
		return 0;
	}
	
	public boolean equals(OverlayKey key) {
		if (key instanceof FilesharingKey) {
			FilesharingKey filesharingKey = (FilesharingKey) key;
			if(filesharingKey.getRank().equals(rank)) {
				return true;
			}
		}
		return false;
	}
	
	public String toString() {
		return rank.toString();
	}

}
