package de.tud.kom.p2psim.impl.overlay.gnutella06;

import java.math.BigInteger;

import de.tud.kom.p2psim.api.overlay.OverlayKey;

/**
 * @author Jonas Khne
 * @version 3.0, 06.07.2008
 *
 */
public class Gnutella06FileSharingKey implements OverlayKey{

	private BigInteger fileSharingKey;
	
	/**
	 * @param fileSharingKey document with this key
	 */
	public Gnutella06FileSharingKey(BigInteger fileSharingKey){
		this.fileSharingKey = fileSharingKey;
	}
	
	/**
	 * @param fileSharingKey document with this key as Integer
	 */
	public Gnutella06FileSharingKey(int fileSharingKey){
		this.fileSharingKey = BigInteger.valueOf(fileSharingKey);
	}
	
	
	public byte[] getBytes() {
		return null;
	}

	
	public Object getUniqueValue() {
		return this.fileSharingKey;
	}
	
	/**
	 * @return key of document
	 */
	public BigInteger getValue() {
		return this.fileSharingKey;
	}

	
	public int compareTo(OverlayKey arg0) {
		Gnutella06FileSharingKey m = (Gnutella06FileSharingKey)arg0;
		return this.fileSharingKey.compareTo(m.getValue());
	}

	


}
