package de.tud.kom.p2psim.impl.util.vis.analyzer.netPosTransformers;

import de.tud.kom.p2psim.impl.network.gnp.topology.GnpPosition;
import de.tud.kom.p2psim.impl.util.vis.util.visualgraph.Coords;

public class GnpPositionTransformer implements INetPositionTransformer<GnpPosition>{

	@Override
	public Coords transform(GnpPosition netPos) {
		
		float x = new Double(netPos.getGnpCoordinates(0)).floatValue();
		float y = new Double(netPos.getGnpCoordinates(1)).floatValue();
		
		Coords coords = new Coords(x,y);
		
		return coords;
	}
}
