package de.tud.kom.p2psim.impl.util.vis.analyzer.ol.napster;

import de.tud.kom.p2psim.api.common.Host;
import de.tud.kom.p2psim.api.overlay.OverlayNode;
import de.tud.kom.p2psim.impl.overlay.dht.centralized.ServerNode;
import de.tud.kom.p2psim.impl.util.vis.analyzer.positioners.generic.ClientServerPartitionRingPositioner;

/**
 * Der Server sitzt in der Mitte, die Clients sind um ihn rum angesiedelt.
 * Für alle dht-centralized-Implementierungen geeignet.
 * @author Leo Nobach
 * @version 3.0, 15.11.2008
 *
 */
public class NapsterPositioner extends ClientServerPartitionRingPositioner{

	@Override
	public boolean isServer(Host host, OverlayNode nd) {
		return nd instanceof ServerNode;
	}

}
