package de.tud.kom.p2psim.impl.util.vis.api.metrics.overlay;

import de.tud.kom.p2psim.impl.util.vis.api.metrics.BoundMetric;

/**
 * Adapter/Decorator, um Universe-Metriken auch als gebundene
 * Metriken behandeln zu können.
 * @author Leo Nobach
 *
 */
public class BoundOverlayUniverseMetric extends BoundMetric{

	OverlayUniverseMetric m;
	
	public BoundOverlayUniverseMetric(OverlayUniverseMetric m) {
		super(m);
		this.m = m;
	}

	@Override
	public String getValue() {
		return m.getValue();
	}

}
