package de.tud.kom.p2psim.impl.util.vis.controller.commands;

import javax.swing.JOptionPane;

import de.tud.kom.p2psim.impl.util.vis.controller.Controller;
import de.tud.kom.p2psim.impl.util.vis.ui.common.gnuplot.GnuplotMainWindow;

/**
 * Öffnet das Gnuplot-Dialogfenster.
 * 
 * @author Leo Nobach
 *
 */
public class ExportGnuplot implements Command{

	@Override
	public void execute() {
		
		if (Controller.getModel() == null) {
		
			JOptionPane.showMessageDialog(Controller.getUIMainWindow(), "Es ist keine Aufzeichnung vorhanden. Bitte laden Sie zunächst eine Aufzeichnung", 
				"Gnuplot-Export", JOptionPane.ERROR_MESSAGE);
		} else startNormal();

	}

	private void startNormal() {
		try {
			
			/*
			 * FIXME: warum keine Err-Ausgabe? 
			 */
			
			//Controller.getUIMainWindow().setEnabled(false);
			new GnuplotMainWindow().setVisible(true);
					
			//test1();
		
		} catch (Exception e) {
			e.printStackTrace(System.out);
		}
	}
		
}
