package de.tud.kom.p2psim.impl.util.vis.metrics.overlay;

import java.awt.Color;

import de.tud.kom.p2psim.impl.util.vis.api.metrics.overlay.OverlayEdgeMetric;
import de.tud.kom.p2psim.impl.util.vis.model.overlay.VisOverlayEdge;

/**
 * Art der Beziehung, die durch die Kante ausgedrückt wird.
 * @author Leo Nobach
 * @version 3.0, 20.10.2008
 *
 */
public class EdgeType extends OverlayEdgeMetric {

	public EdgeType() {
		this.setColor(new Color (200, 0, 100));
	}
	
	@Override
	public String getValue(VisOverlayEdge edge){
		Object attr = edge.getAttribute("type");

		if (attr != null) return attr.toString();
		else return null;
	}

	@Override
	public String getName() {
		return "Typ";
	}

	@Override
	public String getUnit() {
		return "";
	}

	@Override
	public boolean isNumeric() {
		return false;
	}

	
}
