package de.tud.kom.p2psim.impl.util.vis.metrics.overlay;

import java.awt.Color;

import de.tud.kom.p2psim.impl.util.vis.api.metrics.overlay.OverlayNodeMetric;
import de.tud.kom.p2psim.impl.util.vis.model.overlay.VisOverlayNode;

/**
 * Die NetID des Peers.
 * @author Leo Nobach
 *
 */
public class NetID extends OverlayNodeMetric{

	public NetID() {
		this.setColor(new Color (200, 200, 0));
	}
	
	@Override
	public String getValue(VisOverlayNode node){
		Object attr = node.getAttribute("NetID");
		
		if (attr != null) return attr.toString();
		else return null;
	}

	@Override
	public String getName() {
		return "Net ID";
	}

	@Override
	public String getUnit() {
		return "";
	}

	@Override
	public boolean isNumeric() {
		return false;
	}
	
}
