package de.tud.kom.p2psim.impl.util.vis.metrics.overlay;


import de.tud.kom.p2psim.impl.util.vis.api.metrics.overlay.OverlayNodeMetric;
import de.tud.kom.p2psim.impl.util.vis.metrics.MetricsBase;

/**
 * Initialisiert und verwaltet alle Knotenmetriken.
 * 
 * @author Leo Nobach
 *
 */
public class OverlayNodeMetrics extends MetricsBase<OverlayNodeMetric>{
	
	public OverlayNodeMetrics() {
		// TODO hier richtige Metriken für OverlayNodes eintragen
		
		/*
		this.addMetric(new NodeTestMetric1());
		*/
		
		this.addMetric(new NodeOverlays());
		
		this.addMetric(new NodeOverlaysRaw());
		
		this.addMetric(new NodeNeighbors());
		
		this.addMetric(new NetID());
		
		this.addMetric(new NodeMessagesPerSecond());
		
	}
	
	public String toString() {
		return "Overlay, Knoten";
	}

}
