package de.tud.kom.p2psim.impl.util.vis.metrics.overlay;

import de.tud.kom.p2psim.impl.util.vis.api.metrics.overlay.OverlayUniverseMetric;
import de.tud.kom.p2psim.impl.util.vis.controller.Controller;

/**
 * Berechnet die Anzahl aller Overlay-Peers im Szenario
 *
 * @author Leo Nobach
 *
 */
public class UniversePeerCount extends OverlayUniverseMetric{

	@Override
	public String getValue() {
		return String.valueOf(Controller.getModel().getOverlayGraph().nodes.size());
	}

	@Override
	public String getName() {
		return "Peer-Anzahl";
	}

	@Override
	public String getUnit() {
		return "";
	}

	@Override
	public boolean isNumeric() {
		return true;
	}

	
	
}
