package de.tud.kom.p2psim.impl.util.vis.model;

/**
 * Wartet auf Ereignisse der Timeline.
 * @author Leo Nobach
 *
 */
public interface TimelineEventListener {
	
	/**
	 * Wird ausgeführt, wenn der Zeitpunkt auf der Timeline
	 * sich geändert hat.
	 * @param invoker
	 */
	public void actualTimeChanged(EventTimeline invoker);
	
	/**
	 * Wird ausgeführt, wenn der größte Zeitpunkt auf der Timeline sich
	 * geändert hat.
	 * @param invoker
	 */
	public void maxTimeChanged(EventTimeline invoker);
	
	
}
