package de.tud.kom.p2psim.impl.util.vis.ui.common.DetailsPane;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;

import javax.swing.JComponent;
import javax.swing.JTable;

public class ColorTableCellRenderer implements javax.swing.table.TableCellRenderer {

	@Override
	public Component getTableCellRendererComponent(JTable arg0,
			Object arg1, boolean arg2, boolean arg3, int arg4, int arg5) {

		return new ColorField((Color)arg1);
	}
	
	public class ColorField extends JComponent {
		
		private static final long serialVersionUID = 0L;
		
		Color c;
		
		public ColorField (Color c) {
			this.c = c;
		}
	
	
		@Override
		public void paint(Graphics g) {
			g.setColor(c);
			g.fillRect(2, 2, this.getWidth()-4, this.getHeight()-4);
		}
	
	}
	
}
