package de.tud.kom.p2psim.impl.util.vis.ui.common.config;

import java.awt.Component;
import java.awt.FlowLayout;

import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.TitledBorder;

import de.tud.kom.p2psim.impl.util.vis.ui.common.config.gnuplot.GnuplotExecutableChooser;

public class GnuplotTab extends AbstractConfigTab{

	/**
	 * 
	 */
	private static final long serialVersionUID = -896723173833265655L;

	GnuplotExecutableChooser exec_ch;
	
	public GnuplotTab() {
		this.setLayout(new BoxLayout(this, BoxLayout.PAGE_AXIS));
		this.add(createGnuplotExecChooser());
		
		
	}
	
	private Component createGnuplotExecChooser() {
		JPanel pane = new JPanel();
		pane.setBorder(new TitledBorder("Gnuplot-Executable"));
		pane.setLayout(new FlowLayout());
		
		pane.add(new JLabel("Der Pfad zu einer ausführbaren Kopie von Gnuplot"));
		
		exec_ch = new GnuplotExecutableChooser();
		pane.add(exec_ch);
		
		pane.add(new JLabel("z.B. " +
		"'gnuplot' oder 'C:\\Programme\\Gnuplot\\wgnuplot.exe'"));
		
		return pane;
	}

	@Override
	public void commitSettings() {
		exec_ch.commitChanges();
	}

}
