package de.tud.kom.p2psim.impl.util.vis.ui.common.toolbar.elements;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JToggleButton;

import de.tud.kom.p2psim.impl.util.vis.controller.Controller;
import de.tud.kom.p2psim.impl.util.vis.util.Config;

public class LoopButton extends JToggleButton implements ActionListener{
	/**
	 * 
	 */
	private static final long serialVersionUID = 5186748047384510370L;
	
	static final ImageIcon icon = new ImageIcon("images/icons/LoopButton.png");
	static final String tooltip = "Abspielen wiederholen";
	static final String CONF_PATH = "Player/Loop";
	
	public LoopButton() {
		super();
		this.setIcon(icon);
		this.setToolTipText(tooltip);
		this.addActionListener(this);
		
		this.getModel().setSelected((Config.getValue(CONF_PATH, 0)) != 0);
		
		Controller.getPlayer().setLooping(this.getModel().isSelected());
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		
		Controller.getPlayer().setLooping(this.getModel().isSelected());
		
		if (this.getModel().isSelected()) Config.setValue(CONF_PATH, 1);
			else Config.setValue(CONF_PATH, 0);
	}

}
