package de.tud.kom.p2psim.impl.util.vis.util.visualgraph;

import java.io.Serializable;

public class Coords implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 3304956527008531448L;
	
	
	public Coords(float x, float y) {
		this.x = x;
		this.y = y;
	}
	
	public float x;
	public float y;
	
	/**
	 * Skaliert die Koordinaten um scaleFactor
	 * @param scaleFactor
	 * @return
	 */
	public Coords scaleTo(float scaleFactor) {
		return new Coords(x*scaleFactor, y*scaleFactor);
	}
	
	/**
	 * Ersetzt die Koordinaten dorch c für alle Referenzen.
	 * @param c
	 */
	public void replaceWith(Coords c) {
		this.x = c.x;
		this.y = c.y;
	}
	
	public String toString() {
		return "(" + x + "," + y + ")";
	}
}
