package de.tud.kom.p2psim.impl.util.vis.visualization2d;

import de.tud.kom.p2psim.impl.util.vis.api.metrics.overlay.OverlayEdgeMetric;
import de.tud.kom.p2psim.impl.util.vis.api.metrics.overlay.OverlayNodeMetric;
import de.tud.kom.p2psim.impl.util.vis.model.overlay.VisOverlayEdge;
import de.tud.kom.p2psim.impl.util.vis.model.overlay.VisOverlayNode;

public interface IPaintSizeStrategy {

	public float computeStrokeFor(OverlayEdgeMetric m, VisOverlayEdge e, float normalSize, float maxSize);

	public int computeNodeSizeFor(OverlayNodeMetric m, VisOverlayNode n, int minSize, int maxSize);
	
}
