package de.tud.kom.p2psim.impl.util.vis.visualization2d.clicking;

import java.awt.Point;
import java.awt.Rectangle;

import de.tud.kom.p2psim.impl.util.vis.model.MetricObject;

public class ClickBox {

	Rectangle bounds;
	
	MetricObject linkedObj = null;
	
	public ClickBox(Rectangle bounds) {
		super();
		this.bounds = bounds;
	}
	
	public ClickBox(int startX, int startY, int endX, int endY) {
		this(new Rectangle(startX, startY, endX, endY));
	}

	public boolean clicked (Point clickPoint) {
		return bounds.contains(clickPoint);
	}
	
	public Rectangle getBounds() {
		return bounds;
	}

	public void setBounds(Rectangle bounds) {
		this.bounds = bounds;
	}

	public MetricObject getLinkedObj() {
		return linkedObj;
	}

	public void setLinkedObj(MetricObject linkedObj) {
		this.linkedObj = linkedObj;
	}
	
	
}
