package de.tud.kom.p2psim.impl.util.vis.visualization2d.clicking;

import java.awt.Point;
import java.util.LinkedList;
import java.util.List;
import java.util.ListIterator;

import de.tud.kom.p2psim.impl.util.vis.model.MetricObject;

public class ClickBoxHandler {

	List<ClickBox> boxes = new LinkedList<ClickBox>();
	
	public void addBox(ClickBox box) {
		boxes.add(box);
	}
	
	public MetricObject getClickedObject(Point clickPoint) {
		ListIterator<ClickBox> it = boxes.listIterator(boxes.size());
		
		while (it.hasPrevious()) {
			ClickBox elem = it.previous();
			if (elem.clicked(clickPoint)) return elem.getLinkedObj();
		}
		return null;
	}
	
	public boolean clickedOnABox(Point clickPoint) {
		for (ClickBox box : boxes) {
			if (box.clicked(clickPoint)) return true;
		}
		return false;
	}

}
