package de.tud.kom.p2psim.impl.util.vis.util.visualgraph;

import java.awt.Point;
import java.awt.Rectangle;

public class GraphMathTest {

	public static void main(String[] args) {
		
		//testA (50,100)
		doPoint(new Rectangle(0, 0, 100, 100), new Point(0, 50), new Point(100, 150));
		//testB (0, 25)
		doPoint(new Rectangle(0, 0, 100, 100), new Point(-50, 0), new Point(50, 50));
		//testC (50, 0)
		doPoint(new Rectangle(0, 0, 100, 100), new Point(50, -50), new Point(50, 50));
		//testD (100, 25)
		doPoint(new Rectangle(0, 0, 100, 100), new Point(200, 0), new Point(0, 50));
		
		//testNoIntersect (null)
		doPoint(new Rectangle(0, 0, 100, 100), new Point(50, -100), new Point(200, 50));
		//testNoIntersect (null)
		doPoint(new Rectangle(0, 0, 100, 100), new Point(50, 200), new Point(200, 50));
		
	}
	
	public static void doPoint(Rectangle r, Point lineStart, Point lineEnd) {
		System.out.println(GraphMath.getLineRectIntersection(lineStart, lineEnd, r));
	}
	
}
